## xmacro 0.3pre

=== Makefile ===
VERSION=0.3

all: xmacroplay xmacrorec xmacrorec2

xmacroplay: xmacroplay.cpp chartbl.h
	g++ -O2  -I/usr/X11R6/include -Wall -pedantic -DVERSION=$(VERSION) xmacroplay.cpp -o xmacroplay -L/usr/X11R6/lib -lXtst -lX11

xmacrorec: xmacrorec.cpp
	g++ -O2  -I/usr/X11R6/include -Wall -pedantic -DVERSION=$(VERSION) xmacrorec.cpp -o xmacrorec -L/usr/X11R6/lib -lXtst -lX11

xmacrorec2: xmacrorec2.cpp
	g++ -O2  -I/usr/X11R6/include -Wall -pedantic -DVERSION=$(VERSION) xmacrorec2.cpp -o xmacrorec2 -L/usr/X11R6/lib -lXtst -lX11

clean:
	rm xmacrorec xmacroplay xmacrorec2

deb:
	umask 022 && epm -f deb -nsm xmacro

rpm:
	umask 022 && epm -f rpm -nsm xmacro

## xmacro 0.3pre-20000911

=== debian/changelog ===
xmacro (0.3pre-20000911-10) unstable; urgency=medium

  * QA upload.

  * Added d/gbp.conf to describe branch layout.
  * Updated vcs in d/control to Salsa.
  * Updated d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 4.6.2 to 4.7.0.
  * Use wrap-and-sort -at for debian control files.
  * Use correct machine-readable copyright file URI.
  * Added 1000-no-duplicate-last-event.patch to avoid playing last action twice
    (Closes: #401440).

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 11 Jul 2024 07:16:07 +0200

xmacro (0.3pre-20000911-9) unstable; urgency=medium

  [ Nicholas Skaggs ]
  * QA Upload.
  * Add Homepage.
  * Make patches DEP-3 compliant
  * DEP-5 compliant copyright
  * Add hardening patches using dpkg-buildflags

  [ Vagrant Cascadian ]
  * Switch to use debhelper dh command. (Closes: #1014428)

 -- Nicholas Skaggs <nskaggs@gmail.com>  Tue, 28 May 2024 00:22:58 -0400

xmacro (0.3pre-20000911-8) unstable; urgency=medium

  [ Andreas Beckmann ]
  * QA upload.
  * Switch to debhelper-compat (= 13).  (Closes: #965905)
  * Set Rules-Requires-Root: no.

  [ Helmut Grohne ]
  * Fix FTCBFS: Let dh_auto_build pass cross tools to make.  (Closes: #912276)

 -- Andreas Beckmann <anbe@debian.org>  Mon, 17 Jan 2022 21:12:46 +0100

xmacro (0.3pre-20000911-7) unstable; urgency=low

  * QA upload.
  * Set Maintainer to Debian QA Group.  (See: #832150)

  [ Eduard Bloch ]
  * Fixing build failure with GCC-6 via rearanging the header order
    (closes: #831195)

 -- Andreas Beckmann <anbe@debian.org>  Thu, 05 Jan 2017 13:50:50 +0100

xmacro (0.3pre-20000911-6) unstable; urgency=low

  * Proper build with original tarball

 -- Eduard Bloch <blade@debian.org>  Sat, 12 Nov 2011 19:44:42 +0100

xmacro (0.3pre-20000911-5) unstable; urgency=low

  * Acknowledging NMU (closes: #461692)
  * Fixing typo in README
  * Fixing some compiler warning issues, Makefile improvements
  * Policy and debhelper reference update, obligatory fixes, XZ usage enabled

 -- Eduard Bloch <blade@debian.org>  Sat, 12 Nov 2011 15:54:22 +0100

xmacro (0.3pre-20000911-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix GCC 4.3 compatibility, patch by Kumar Appaiah (Closes: #461692)

 -- Moritz Muehlenhoff <jmm@debian.org>  Sun, 23 Mar 2008 00:32:43 +0100

xmacro (0.3pre-20000911-4) unstable; urgency=low

  * Trigger new build for the g++-4.0 transition
  * formal updates: policy version, xlibs-dev changed to particular packages

 -- Eduard Bloch <blade@debian.org>  Tue, 12 Jul 2005 22:37:08 +0200

xmacro (0.3pre-20000911-3) unstable; urgency=low

  * Trigger new build for the g++-3.2 transition

 -- Eduard Bloch <blade@debian.org>  Fri, 17 Jan 2003 12:46:59 +0100

xmacro (0.3pre-20000911-2) unstable; urgency=low

  * merged changes from prh's inofficial xmacro package: control, copyright,
    a demo script

 -- Eduard Bloch <blade@debian.org>  Tue,  7 Jan 2003 18:24:40 +0100

xmacro (0.3pre-20000911-1) unstable; urgency=low

  * Initial Release, closes: #174755

 -- Eduard Bloch <blade@debian.org>  Mon, 30 Dec 2002 20:18:17 +0100

=== debian/control ===
Source: xmacro
Section: utils
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Homepage: https://xmacro.sourceforge.net
Build-Depends: debhelper-compat (= 13),
               libx11-dev,
               libxtst-dev,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/debian/xmacro
Vcs-Git: https://salsa.debian.org/debian/xmacro.git

Package: xmacro
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Record / Play keystrokes and mouse movements in X displays
 xmacrorec can be used to record mouse and keyboard events on any X11 display.
 .
 xmacroplay can be used to playback recorded events or send any other
 mouse/keyboard events you choose. It is very handy for scripting an
 X display - for example controlling a presentation in mgp or ultrapoint
 from a script, network connection...
 .
 xmacroplay-keys is a script to help use the above.
 .
 Together these utils can be used to record and replay sessions
 for demonstrations etc.

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

CXXFLAGS += $(CPPFLAGS)
CXXFLAGS += $(LDFLAGS)

%:
	dh $@

override_dh_auto_install:
	install -Dpv xmacroplay-keys xmacroplay xmacrorec xmacrorec2 $(CURDIR)/debian/xmacro/usr/bin

execute_after_dh_fixperms:
	chmod -x $(CURDIR)/debian/xmacro/usr/share/doc/xmacro/examples/*

=== debian/watch ===
# There has been no new releases or updates for xmacro since 2001
# This project appears to be abandoned.
#version=4
#opts=dversionmangle=s/.*\/xmacro-(.*)\.tar\.gz/xmacro-$1\.tar\.gz/ \
#https://sourceforge.net/projects/xmacro/files/xmacro/(?:[^/]+)/xmacro-(.*).tar.gz/download
